### Method

# FwupdPlugin Context load_hwinfo

since: 1.8.10

#### Declaration [src]

    gboolean
    fu_context_load_hwinfo (
      FuContext* self,
      FuProgress* progress,
      FuContextHwidFlags flags,
      GError** error
    )

#### Description [src]

Loads all hardware information parts of the context.

Available since: 1.8.10

#### Parameters

`progress`

  Type: `FuProgress`

  A `FuProgress`.

  The data is owned by the caller of the method.

`flags`

  Type: `FuContextHwidFlags`

  A `FuContextHwidFlags`, e.g. `FU_CONTEXT_HWID_FLAG_LOAD_SMBIOS`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.